FormSubmitEvent.MethodType (Java Platform SE 8 )
Keywords: javax.swing.text.html.FormSubmitEvent.MethodType class
Date: 2017-07-29

javax.swing.text.html

## Enum FormSubmitEvent.MethodType

- java.lang.Object
- - java.lang.Enum<FormSubmitEvent.MethodType>
  - - javax.swing.text.html.FormSubmitEvent.MethodType

- All Implemented Interfaces:
    Serializable, Comparable<FormSubmitEvent.MethodType>
  Enclosing class:
    FormSubmitEvent

      public static enum FormSubmitEvent.MethodType
      extends Enum<FormSubmitEvent.MethodType>

  Represents an HTML form method type.
  - `GET` corresponds to the GET form method
  - `POST` corresponds to the POST from method
  Since:
    1.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GET`
    `POST`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FormSubmitEvent.MethodType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FormSubmitEvent.MethodType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final FormSubmitEvent.MethodType GET

    - #### POST

          public static final FormSubmitEvent.MethodType POST

  - ### Method Detail

    - #### values

          public static FormSubmitEvent.MethodType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormSubmitEvent.MethodType c : FormSubmitEvent.MethodType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormSubmitEvent.MethodType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.